%define version 1.4
%define release 5mdk

%define major	0
%define libname	%mklibname %{name} %major

Summary:	The GNU Scientific Library for numerical analysis
Name:		gsl
Version:	%{version}
Release:	%{release}
URL:		http://sourceware.redhat.com/gsl/

Source:		ftp://ftp.mirror.ac.uk/sites/sources.redhat.com/pub/gsl/gsl-%{version}.tar.bz2
Patch0:		gsl-1.4-amd64.patch.bz2

License:	GPL
Group:		Sciences/Mathematics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	autoconf2.5

%description	
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the gsl package if you need a library for high-level scientific
numerical analysis.


%package progs
Summary:	Programs of the Scientific Library
Group:		Sciences/Mathematics
Requires:	%libname = %{version}-%{release}

%description progs
Here're the GNU Scientific Library (GSL) programs:
 - gsl-histogram: computes a histogram of the data on stdin
                  using n bins from xmin to xmax.
 - gsl-randist: generates n samples from a given distribution DIST
                with given parameters


%package doc
Summary:	Documentation of the Scientific Library
Group:		Books/Computer books

%description doc
This is the documentation in info format of the GNU Scientific Library (GSL).
This doc can be viewed through info, pinfo, konqueror, gnome yelp, ...

%package -n %{libname}
Summary:	Shared librairies for Scientific Library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n %{libname}
The GNU Scientific Library (GSL) is a numerical library for C and
C++ programmers.  It contains over 1000 mathematical routines written
in ANSI C.  The library follows modern coding conventions, and lends
itself to being used in very high level languages (VHLLs).

 The library covers the following subject areas:

  Complex Numbers             Roots of Polynomials     Special Functions
  Vectors and Matrices        Permutations             Sorting
  BLAS Support                Linear Algebra           Eigensystems
  Fast Fourier Transforms     Quadrature               Random Numbers
  Quasi-Random Sequences      Random Distributions     Statistics
  Histograms                  N-Tuples                 Monte Carlo Integration
  Simulated Annealing         Differential Equations   Interpolation
  Numerical Differentiation   Chebyshev Approximation  Series Acceleration
  Discrete Hankel Transforms  Root-Finding             Minimization
  Least-Squares Fitting       Physical Constants       IEEE Floating-Point

Further information can be found in the GSL Reference Manual.


%package -n %{libname}-devel
Summary:	Development files for Scientific Library
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.
It now includes a random number suite, an FFT package, simulated annealing
and root finding.  In the future, it will include numerical and Monte Carlo
integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

These are the static libs and include headers for developers.

%prep
%setup -q
%patch0 -p1 -b .amd64
autoconf

%build
%configure2_5x
%make
make check

%install
rm -fr %buildroot
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post doc
%_install_info gsl-ref.info

%postun doc
%_remove_install_info gsl-ref.info

%clean
rm -fr %buildroot

%files progs
%defattr(-,root,root,-) 
%doc AUTHORS COPYING INSTALL NEWS README THANKS
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{_mandir}/man1/gsl-histogram*
%{_mandir}/man1/gsl-randist*

%files doc
%defattr(-,root,root,-) 
%doc COPYING
%{_infodir}/*info*

%files -n %{libname}
%defattr(-,root,root,0755) 
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,0755) 
%doc BUGS ChangeLog COPYING TODO doc/examples/
%{_bindir}/gsl-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*
%{_mandir}/man1/gsl-config.*

%changelog
* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4-5mdk
- rebuild for new pkgconfig Requires

* Fri Oct 23 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4-4mdk
- BuildRequires

* Wed Sep  3 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-3mdk
- Patch0: Fix detection of feenableexcept() for amd64 IEEE interface

* Mon Aug 25 2003 Abel Cheung <deaddog@deaddog.org> 1.4-2mdk
- Fix b0rked packaging
- configure2_5x, makeinstall_std
- make check
- add examples to -devel package

* Wed Aug 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-1mdk
- new release

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-2mdk
- make it %%mklibname aware

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-4mdk
- build release
- add missing files (man pages, pkg-config file)

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-3mdk
- fix groups & summaries

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-2mdk
- gsl-progs and  gsl-doc Requires: %libname >= 1.1.1-2mdk
  to ease update from mdk8.2

* Fri Jul 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2-1mdk
- new release
- gcc-3.2 build

* Thu Jul 04 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-2mdk
- gsl is no more in alpha development (Jordi Burguet Castel)
- remove the gsl package which is splitted between
	- gsl-doc where the doc is moved
	- gsl-progs:

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-1mdk
- new release

* Fri Nov 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-2mdk
- update description (Brian Gough <bjg@network-theory.co.uk>)

* Sun Nov 04 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-1mdk
- new release

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-1mdk
- new release

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-3mdk
- use -p for %post and the like for lord rpmlint
- move *.la to -devel

* Mon Jul 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-1mdk
- new bersion

* Tue Mar 27 2001 David BAUDENS <baudens@mandresoft.com> 0.7-1mdk
- O.7 (allow build on PPC)
- Add missing files
- Fix Provides and Requires

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-3mdk
- remove my ppc patch, we don't need it anymore.

* Fri Jan 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- fix PPC build for lords ppc_letmeplay

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- new release
- fix build on PPC
- new lib scheme

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- BM
- split out devel

* Tue Apr 18 2000 John Buswell <johnb@mandrakesoft.com> 0.5-2mdk
- Fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.5-1mdk
- 0.5
- Fixed groups
- spec-helper

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added %defattr and SMP compilation
- updated url and ftp source

* Tue Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.4.1

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environment (Rel: 5mdk).

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the ldconfig hack of bero.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- make ldconfig in %post and %preun -p

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
